Kirjoittaja Aihe: ZyAIR B-120 langaton kortti ja openSUSE 11.0  (Luettu 4841 kertaa)

0 jäsentä ja 1 Vieras katselee tätä aihetta.

Poissa Buntu

  • Jäsen
  • Viestejä: 154
ZyAIR B-120 langaton kortti ja openSUSE 11.0
« : 23.12.2008 - klo:12:40 »
Onkohan kellään omakohtaista kokemusta ZyXELin ZyAIR B-120 langattoman verkkokortin asentamisesta openSUSE 11.0:aan? Olen kyllä googlettanut ja lukenut ohjeita ja kokeillut keikenlaista, mutta ei tuo kortti vain toimi. Verkkoyhteystyökalu ei tunnu huomaavan koko laitetta, vaikka se näkyy kyllä laiteluettelossa.

iwconfig: eth0 no wireless extensions, lo no wireless extensions

Myös ndiswrapperia on kokeiltu tuloksetta. Kyseessä on siis PCMCIA-kortti.

Poissa letkume

  • Jäsen
  • Viestejä: 521

Poissa Buntu

  • Jäsen
  • Viestejä: 154
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.0
« Vastaus #2 : 23.12.2008 - klo:14:39 »
Ndiswrapper -l sanoo saman kuin tuossa antamassasi linkissäkin eli:

zd1201cobm : invalid driver


Ei tosiaan näytä hyvältä. Siksi kysyinkin onko kukaan saanut tuota korttia toimimaan.

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4540
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.0
« Vastaus #3 : 23.12.2008 - klo:20:03 »
En tiedä toimiiko mutta lataa tämä paketti ja toimi README-tiedoston mukaan.
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

Poissa Buntu

  • Jäsen
  • Viestejä: 154
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.0
« Vastaus #4 : 24.12.2008 - klo:15:42 »
Kiitos vihjeestä, mutta ei toiminut tuonkaan paketin asennuksen jälkeen. openSUSEn jakelussa on kyllä valmiina zd1201-ajuri tiedostossa /lib/modules/....../drivers/net/wireless, mutta mitenköhän sen saisi toimimaan. modprobe zd1201 ei anna mitään virheilmoituksia, mutta millä komennolla tietäisi, että se todella on asentunut?
Graafinen verkkotyökalu (eikä perinteinen ifup-menetelmäkään) ei tunnista langattoman kortin laitetietoja.

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4540
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.0
« Vastaus #5 : 26.12.2008 - klo:18:25 »
lsmod |grep zd
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

Poissa Buntu

  • Jäsen
  • Viestejä: 154
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.0
« Vastaus #6 : 26.12.2008 - klo:20:25 »
lsmod grep | zd
zd1201   19868  0
usbcore  167604  5  zd1201,isp1760,ohci_hcd


Tuo ajuri tuntuu yhteensopivuustaulukoiden perusteella toimivan luotettavimmin usb-korttien kanssa. Sitä on kuitenkin suositeltu myös  tälle ZyXELin pcmcia-kortille, mutta tuntuu toivottomalta saada sitä toimimaan. Onko siis ainoa mahdollisuus vaihtaa korttia? Eihän nuo montaa kymppiä nykyään maksa, mutta periaatteesta en haluaisi ostaa uutta.

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4540
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.0
« Vastaus #7 : 26.12.2008 - klo:21:07 »
Onko siis ainoa mahdollisuus vaihtaa korttia? Eihän nuo montaa kymppiä nykyään maksa, mutta periaatteesta en haluaisi ostaa uutta.

No ainakin kortin vaihtaminen helpottaisi elämää.
A-link WL54 USB(tai joku muu zydas pohjainen usb-wlan-tikku) toimii heittämällä.
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

Poissa letkume

  • Jäsen
  • Viestejä: 521
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.0
« Vastaus #8 : 27.12.2008 - klo:10:34 »
Onko siis ainoa mahdollisuus vaihtaa korttia? Eihän nuo montaa kymppiä nykyään maksa, mutta periaatteesta en haluaisi ostaa uutta.

No ainakin kortin vaihtaminen helpottaisi elämää.
A-link WL54 USB(tai joku muu zydas pohjainen usb-wlan-tikku) toimii heittämällä.

Nämäkin kannattaa sitten tarkistaa, että oikesti ovat mitä lupaavat.

Mullakin on yksi alink wl54 pci -kortti, minkä paketissa luki, että toimii linuxissa. ndiswrapperin vaatii, ohjain ei vain toimi ja kaataa koko koneen..

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4540
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.0
« Vastaus #9 : 27.12.2008 - klo:12:11 »
Nämäkin kannattaa sitten tarkistaa, että oikesti ovat mitä lupaavat.

Mullakin on yksi alink wl54 pci -kortti, minkä paketissa luki, että toimii linuxissa. ndiswrapperin vaatii, ohjain ei vain toimi ja kaataa koko koneen..

Onhan noihin törmätty, paras vaihtoehto on kysyä saako tuotteen palautta jos se ei toimikkaan Linuxissa.
Kaikki noi a-linkin usb-tikut(noin 10 kappaletta) joita olen viimeisen puolentoista vuoden aikana ostanut, ovat toimineet heittämällä(nimenomaan tuolla zydaksen piirillä).
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

Poissa Buntu

  • Jäsen
  • Viestejä: 154
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.1
« Vastaus #10 : 27.12.2008 - klo:12:31 »
Lainaus
Onhan noihin törmätty, paras vaihtoehto on kysyä saako tuotteen palautta jos se ei toimikkaan Linuxissa.
Kaikki noi a-linkin usb-tikut(noin 10 kappaletta) joita olen viimeisen puolentoista vuoden aikana ostanut
Voihan sellaisen ostaa verkkokaupasta niin saa palauttaa ilman mitään syytä. Tai sitten käynnistän koneen Windowsiin, mutta sitäkään en periaatteesta haluaisi tehdä.
10 usb-korttia puolentoista vuoden aikana? Ovatkos ne noin heikkolaatuisia vai kuinka monta tietokonetta sinulla oikein on?

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4540
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: ZyAIR B-120 langaton kortti ja openSUSE 11.1
« Vastaus #11 : 27.12.2008 - klo:13:07 »
10 usb-korttia puolentoista vuoden aikana? Ovatkos ne noin heikkolaatuisia vai kuinka monta tietokonetta sinulla oikein on?

Aina kun joku kaveri on tarvinnut wlan-tikkua niin ne on vieneet ne suoraan multa, eli tuo tikku on todella hyvä. (toimii hyvin sekä Linuxissa että windowsissa)
Yhden noista multa lähteneistä tikuista tiedän menneen rikki, mutta sekin johtui kannettavan käsittelystä, ei tikun laadusta.
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

Poissa Buntu

  • Jäsen
  • Viestejä: 154
Vs: A-Link WL54USB langaton kortti ja openSUSE 11.1
« Vastaus #12 : 03.01.2009 - klo:20:01 »
Ostin sitten tuon A-Linkin wlan-kortin, mutta ei se mitenkään heittämällä lähtenyt toimimaan. Monta iltaa sain pähkäillä ennenkuin huomasin, että firmware-paketti puuttui. Ajuri kyllä oli valmiina. Tuon firmware-paketin puuttuminen johtui ehkä siitä, että wlan-kortti ei ollut SUSEn asennuksen aikana kiinni koneessa.
Kerrottakoon nyt muillekin, jotka hankkivat minkä tahansa Zydaksen piiriin pohjautuvan wlan-kortin, että zd1211rw-ajuri vaatii toimiakseen firmware-paketin. Sen löytää helposti googlettamalla. Tiedostot puretaan kansioon /lib/firmware/zd1211, jota ei tietenkään ole olemassa, jollei ole firmware-pakettiakaan. Kansio pitää ensin luoda ja sitten purkaa tai kopioida tiedostot sinne (onnistuu vain pääkäyttäjänä). Sen jälkeen pitäisi toimia 'heittämällä'.

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4540
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: A-Link WL54USB langaton kortti ja openSUSE 11.1
« Vastaus #13 : 03.01.2009 - klo:21:20 »
Ostin sitten tuon A-Linkin wlan-kortin, mutta ei se mitenkään heittämällä lähtenyt toimimaan. Monta iltaa sain pähkäillä ennenkuin huomasin, että firmware-paketti puuttui. Ajuri kyllä oli valmiina. Tuon firmware-paketin puuttuminen johtui ehkä siitä, että wlan-kortti ei ollut SUSEn asennuksen aikana kiinni koneessa.
Kerrottakoon nyt muillekin, jotka hankkivat minkä tahansa Zydaksen piiriin pohjautuvan wlan-kortin, että zd1211rw-ajuri vaatii toimiakseen firmware-paketin. Sen löytää helposti googlettamalla. Tiedostot puretaan kansioon /lib/firmware/zd1211, jota ei tietenkään ole olemassa, jollei ole firmware-pakettiakaan. Kansio pitää ensin luoda ja sitten purkaa tai kopioida tiedostot sinne (onnistuu vain pääkäyttäjänä). Sen jälkeen pitäisi toimia 'heittämällä'.

Aivan turhaa työtä ;)

Koodia: [Valitse]
sudo zypper in zd1211-firmware
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)